<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output method="html"/>
	<xsl:template match="message">
	<xsl:variable name="image-location"><xsl:value-of select="$appdata"/>Colors/</xsl:variable>


		<div class="KopeteMessage" style="margin: 0.5ex; margin-top: 1em; margin-bottom: 1em;">
			<xsl:choose>
				<xsl:when test="@route='inbound'">

					<!-- Incoming normal messages -->
					<xsl:if test="@type='normal'">
							<div id="MessageHeader" style="padding-left: 1ex; padding-right: 1ex; border-bottom: 0.1em solid #afafff;">

								<!-- Protocol Icon -->
								<div style="float: left;">
									<img style="margin-top: 0.1em; margin-right: 1ex;"><xsl:attribute name="src"><xsl:value-of select="from/contact/@protocolIcon"/></xsl:attribute></img>
								</div>

								<!-- MetaContacts Display Name && Messages Timestamp -->
								<div>
									<span style="font-weight: bold;"><xsl:value-of select="from/contact/metaContactDisplayName/@text" /></span>
									<div style="float: right; font-weight: normal;"><xsl:value-of select="@time" /></div>
								</div>
							</div>

							<div id="MessageBody">
									<!-- Highlighted Importance -->
								<xsl:attribute name="class">
									<xsl:if test="@importance='2'">highlight</xsl:if>
								</xsl:attribute>
								<xsl:attribute name="style">
									padding-left: 1ex;
									padding-right: 1ex;
									padding-top: 0.25em;
									padding-bottom: 0.5em;
									line-height: 1.2;
									<!-- Colored Message -->
									<xsl:if test="body/@color">color: <xsl:value-of select="body/@color"/>;</xsl:if>
									<xsl:if test="body/@bgcolor">background-color: <xsl:value-of select="body/@bgcolor"/>;</xsl:if>
									<xsl:if test="body/@font">font: <xsl:value-of select="body/@font"/>;</xsl:if>
									<!-- Normal Importance #F5F3FE-->
									<xsl:if test="@importance='0'">background-color: #E5F3FE;</xsl:if>
									<xsl:if test="@importance='1'">background-color: #E5F3FE;</xsl:if>
									<!-- Userphoto exist, define a min-height -->
									<xsl:if test="from/contact/@userPhoto">min-height: 4.5em;</xsl:if>
								</xsl:attribute>
								<!-- If a userphoto exist, Display it -->
								<xsl:if test="from/contact/@userPhoto">
									<img>
										<xsl:attribute name="src">data:image/png;base64,<xsl:value-of select="from/contact/@userPhoto"/></xsl:attribute>
										<xsl:attribute name="style">
											margin-top: 0.25em;
											margin-right: 1ex;
											height: 4.30em;
											float: left;
										</xsl:attribute>
									</img>
								</xsl:if>
								<xsl:value-of disable-output-escaping="yes" select="body" />
							</div>
					</xsl:if>

					<!-- Incoming actions -->
					<xsl:if test="@type='action'">
							<div id="MessageHeader" style="padding-left: 1ex; padding-right: 1ex; border-bottom: 0.1em dashed #afafff;">

								<!-- Action Icon -->
								<div style="float: left;">
									<img style="margin-top: 0.1em; margin-right: 1ex;"><xsl:attribute name="src"><xsl:value-of select="$image-location" />action.png</xsl:attribute></img>
								</div>

								<!-- MetaContacts Display Name && Messages Timestamp -->
								<div>
									<span style="font-weight: bold;font-style:italic;"><xsl:value-of select="from/contact/metaContactDisplayName/@text" /></span>
									<span style="margin-left: 1ex;font-style:italic;"><xsl:value-of disable-output-escaping="yes" select="body" /></span>
									<div style="float: right; font-weight: normal;"><xsl:value-of select="@time" /></div>
								</div>
							</div>
					</xsl:if>

				</xsl:when>
				<xsl:when test="@route='outbound'">

					<!-- Outgoing normal messages -->
					<xsl:if test="@type='normal'">
							<div id="MessageHeader" style="padding-left: 1ex; padding-right: 1ex; border-bottom: 0.1em solid #9F9F99;">

								<!-- Protocol Icon -->
								<div style="float: right;">
									<img style="margin-top: 0.1em; margin-left: 1ex;"><xsl:attribute name="src"><xsl:value-of select="from/contact/@protocolIcon"/></xsl:attribute></img>
								</div>

								<!-- MetaContacts Display Name && Messages Timestamp -->
								<div style="text-align: right;">
									<span style="font-weight: bold;">
									<xsl:value-of select="from/contact/metaContactDisplayName/@text" /></span>
									<div style="float: left; font-weight: normal;"><xsl:value-of select="@time" /></div>
								</div>
							</div>

							<div id="MessageBody">

								<!-- Highlighted Importance -->
								<xsl:attribute name="class">
									<xsl:if test="@importance='2'">highlight</xsl:if>
								</xsl:attribute>

								<xsl:attribute name="style">
									padding-left: 1ex;
									padding-right: 1ex;
									padding-top: 0.25em;
									padding-bottom: 0.5em;
									line-height: 1.2;
									text-align: right;
									<!-- Colored Message -->
									<xsl:if test="body/@color">color: <xsl:value-of select="body/@color"/>;</xsl:if>
									<xsl:if test="body/@bgcolor">background-color: <xsl:value-of select="body/@bgcolor"/>;</xsl:if>
									<xsl:if test="body/@font">font: <xsl:value-of select="body/@font"/>;</xsl:if>
									<!-- Normal Importance -->
									<xsl:if test="@importance='0'">background-color: #EEEEE6;</xsl:if>
									<xsl:if test="@importance='1'">background-color: #EEEEE6;</xsl:if>
									<!-- Userphoto exist, define a min-height -->
									<xsl:if test="to/contact/@userPhoto">min-height: 4.5em;</xsl:if>
								</xsl:attribute>
								<!-- If a userphoto exist, Display it -->
								<xsl:if test="to/contact/@userPhoto">
<!--									<img>
										<xsl:attribute name="src">data:image/png;base64,<xsl:value-of select="to/contact/@userPhoto"/></xsl:attribute>
										<xsl:attribute name="style">
											margin-top: 0.25em;
											margin-right: 1ex;
											height: 4.30em;
											float: left;
											border: 0.10em solid black;
										</xsl:attribute>
									</img>
-->
                                                                        <img>
                                                                                <xsl:attribute name="src">
                                                                                <xsl:value-of select="$image-location" />me.png</xsl:attribute>
                                                                                <xsl:attribute name="style">
                                                                                        margin-top: 0.25em;
                                                                                        margin-left: 1ex;
                                                                                        height: 4.30em;
                                                                                        float: right;
                                                                                </xsl:attribute>
                                                                        </img>
								</xsl:if>
								<xsl:value-of disable-output-escaping="yes" select="body" />

							</div>
					</xsl:if>
					<!-- Outgoing actions -->
					<xsl:if test="@type='action'">
							<div id="MessageHeader" style="padding-left: 1ex; padding-right: 1ex; border-bottom: 0.1em dashed #ffafaf;">

								<!-- Action Icon -->
								<div style="float: left;">
									<img style="margin-top: 0.1em; margin-right: 1ex;"><xsl:attribute name="src"><xsl:value-of select="$image-location" />action.png</xsl:attribute></img>
								</div>

								<!-- MetaContacts Display Name && Messages Timestamp -->
								<div>
									<span style="font-weight: bold;font-style:italic;"><xsl:value-of select="from/contact/metaContactDisplayName/@text" /></span>
									<span style="margin-left: 1ex;font-style:italic;"><xsl:value-of disable-output-escaping="yes" select="body" /></span>
									<div style="float: right; font-weight: normal;"><xsl:value-of select="@time" /></div>
								</div>
							</div>
					</xsl:if>

				</xsl:when>

				<xsl:when test="@route='internal'">
					<div id="MessageHeader" style="padding-left: 1ex; padding-right: 1ex; border-bottom: 0.1em dashed red;">

						<!-- Internal Icon -->
						<div style="float: left;">
							<img style="margin-top: 0.1em; margin-right: 1ex;"><xsl:attribute name="src"><xsl:value-of select="$image-location" />internal.png</xsl:attribute></img>
						</div>

						<!-- Internal Message Display && Messages Timestamp -->
						<div>
							<span style="font-style:italic;"><xsl:value-of disable-output-escaping="yes" select="body" /></span>
							<div style="float: right; font-weight: normal;"><xsl:value-of select="@time" /></div>
						</div>
					</div>
				</xsl:when>

			</xsl:choose>
		</div>

	</xsl:template>
</xsl:stylesheet>

